%global pypi_name rauth

Name:           python-%{pypi_name}
Version:        0.7.3
Release:        5%{?dist}
Summary:        A Python library for OAuth 1.0/a, 2.0, and Ofly

License:        MIT
URL:            https://github.com/litl/rauth
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel


%description
A simple Python OAuth 1.0/a, OAuth 2.0, and Ofly consumer
library built.

%package -n python2-%{pypi_name}
Summary:        A Python library for OAuth 1.0/a, 2.0, and Ofly
Requires:       python2-requests
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
A Python2 library for OAuth 1.0/a, 2.0, and Ofly,

%package -n python3-%{pypi_name}
Summary:        A Python library for OAuth 1.0/a, 2.0, and Ofly
Requires:       python3-requests
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python3 library for OAuth 1.0/a, 2.0, and Ofly,

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.md
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.7.3-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Oct 11 2017 williamjmorenor@gmail.com - 0.7.3-2
- Fix some rpmlint issues with requires
 
* Sat Sep 30 2017 williamjmorenor@gmail.com - 0.7.3-1
- Update to v.0.7.3
- Fix requires python3 in the python2 subpackage
- Update SOURCE0 url

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.7.2-5
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 12 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Nov 11 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.7.2-1
- Update to v0.7.2

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Sep 17 2015 William Moreno Reyes <williamjmorenor@gmail.com> 
- 0.7.1-1
- Update to 0.7.1
- Update python macros
- Include python 2 and 3 subpackage

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Dec 07 2014 William José Moreno Reyes <williamjmorenor@gmail.com> - 0.7.0-3
- Add Python3 support

* Sun Dec 07 2014 William Moreno Reyes <williamjmorenor@gmail.com> - 0.7.0-2
- Add license macro

* Mon Oct 20 2014 William José Moreno Reyes  <williamjmorenor at gmail.com> - 0.7.0-1
- Initial package.
